# CasaOS - A simple, easy to use, beautiful open source home server system.

![CasaOS](https://github.com/IceWhaleTech/logo/raw/main/casaos/casaos_banner_aldeyjarfoss.png)

[![Version](https://img.shields.io/static/v1?label=CasaOS&message=v0.1.0&color=162453&style=flat-square)](https://github.com/IceWhaleTech/CasaOS)
[![Pull Requests](https://img.shields.io/github/issues-pr/IceWhaleTech/CasaOS?color=162453&style=flat-square)](https://github.com/IceWhaleTech/CasaOS/pulls)
[![Issues](https://img.shields.io/github/issues/IceWhaleTech/CasaOS?color=162453&style=flat-square)](https://github.com/IceWhaleTech/CasaOS/issues)
[![Ideas](https://img.shields.io/github/stars/IceWhaleTech/CasaOS?color=162453&logo=github&style=flat-square)](https://github.com/IceWhaleTech/CasaOS/stargazers)
[![Discord](https://img.shields.io/discord/884667213326463016?color=162453&label=Chat&logo=discord&logoColor=fff&style=flat-square)](https://discord.gg/Gx4BCEtHjx)

CasaOS is an open source home server system based on Docker ecology and designed for home scenarios. It is committed to building the world's most simple, easy-to-use and beautiful home intelligence hub system. 

The team promotes a community-driven collaborative innovation model to create a home intelligence hub through open communication with global enthusiasts and developers.


## Features

 - UI Designed for home scenarios - simple, beautiful and easy to use
 - Custom Docker app installation in 3 steps
 - Automatic Docker application management
 - Private Cloud App Store 🚧
 - Home file data/digital asset management 🚧
 - Smart Home Device Management 🚧

🚧 is under development...

We are actively moving forward with development and welcome you to discuss ideas with us in [Discord](https://discord.gg/Gx4BCEtHjx)!


## Comunity

Casa is derived from the Spanish word for "home".
The CasaOS project originated as a pre-installed system for IceWhale's hardware product ZimaBoard.

After researching a large number of operating systems and software on the market, the team found that there was no server system designed for home scenarios.

So, we chose to launch this open source project to develop CasaOS with our friends in the community and you.

> Sincerely welcome you to propose and discuss your great ideas in [Discord](https://discord.gg/Gx4BCEtHjx)!

[![Discord Card](https://discordapp.com/api/guilds/884667213326463016/widget.png?style=banner2)](https://discord.gg/Gx4BCEtHjx)


## Getting Started

> ⚠️ Note: 
> 
> CasaOS is still in a very early version and may be very different from the final release. Feel free to experience and discuss with us in the [Discord](https://discord.gg/Gx4BCEtHjx)!

### System Compatibility

 - Ubuntu Server 20.04 amd64 (✅ Recommend, Tested)
 - Debian 11 amd64 (⚠️ Not Fully Tested Yet)
 - OpenWrt 21.02 amd64 (⚠️ Not Fully Tested Yet)
 - Raspberry Pi OS aarch64/arm64 (🚧 Under Planning)
 - OpenWrt 21.02 aarch64/arm64 (🚧 Under Planning)

### Quick Setup CasaOS

Install a fresh system from the above list and run this command:

```sh
curl -fsSL https://get.icewhale.io/casaos.sh | bash
```

## To Do

**v 0.1.x**

 - [x] A beautiful UI for home
 - [x] Custom installation of Docker Apps
 - [x] Docker Apps update, stop, uninstall, restart, etc.
 - [x] Docker CLI parser
 - [x] System Update
 - [ ] Getting Started tutorial
 - [ ] Docker Compose parser
 - [ ] App config file import and export
 - [ ] macvlan network mode

## Contributors

- Icewhale Technology
  - Jerry Liu
  - Link Liang
  - Ober Zhang
  - Zyaiire Ann
  - John Guan
- CasaOS Community
  - Waiting for you